Package com.databricks.jdbc.common.util

## Class ValidationUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.ValidationUtil

    public class ValidationUtil
    extends Object

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Constructor Summary

Constructors
`ValidationUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkHTTPError​(org.apache.http.HttpResponse response)`
`static void` `checkIfNonNegative​(int number, String fieldName)`
`static boolean` `isValidJdbcUrl​(String url)` Validates the JDBC URL.
`static void` `throwErrorIfNull​(Map<String,​String> fields, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### ValidationUtil

    public ValidationUtil()

### Method Detail

#### checkIfNonNegative

    public static void checkIfNonNegative​(int number,
                                          String fieldName)
                                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### throwErrorIfNull

    public static void throwErrorIfNull​(Map<String,​String> fields,
                                        String context)
                                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### checkHTTPError

    public static void checkHTTPError​(org.apache.http.HttpResponse response)
                               throws DatabricksHttpException

Throws:
  `DatabricksHttpException`

#### isValidJdbcUrl

    public static boolean isValidJdbcUrl​(String url)

Validates the JDBC URL.

Parameters:
  `url` - JDBC URL
Returns:
  true if the URL is valid, false otherwise